com.holonplatform.core.datastore.operation.commons

## Interface PropertyBoxOperationConfiguration

- All Superinterfaces:
    DatastoreOperationConfiguration, Expression, ExpressionResolver.ExpressionResolverProvider

      public interface PropertyBoxOperationConfiguration
      extends DatastoreOperationConfiguration

  A `DatastoreOperationConfiguration` with `PropertyBox` support.
  Since:
    5.1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PropertyBoxOperationConfiguration.Builder<B extends PropertyBoxOperationConfiguration.Builder<B>>` `PropertyBoxOperationConfiguration` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyBox` | `getValue()` Get the `PropertyBox` value.
    `Map<Path<?>,TypedExpression<?>>` | `getValueExpressions(boolean includeNullValues)` Get the `PropertyBox` value as a `Path` - `TypedExpression` map.

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration

      `getParameters, getTarget, getWriteOption, getWriteOptions, getWriteOptions, hasWriteOption`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

- - ### Method Detail

    - #### getValue

          PropertyBox getValue()

      Get the `PropertyBox` value.
      Returns:
        the `PropertyBox` value

    - #### getValueExpressions

          Map<Path<?>,TypedExpression<?>> getValueExpressions(boolean includeNullValues)

      Get the `PropertyBox` value as a `Path` - `TypedExpression` map.
      Parameters:
        `includeNullValues` - Whether to include `null` property box values
      Returns:
        Map of the `PropertyBox` properties which can be represented as a `Path` and their values as `TypedExpression`s

Copyright © 2019 The Holon Platform. All rights reserved.